Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83756 - root ext3 filesystem will not mount if there are explicit mount parameters
Summary: root ext3 filesystem will not mount if there are explicit mount parameters
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-07 22:38 UTC by Rick Warner
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:30 UTC


Attachments (Terms of Use)

Description Rick Warner 2003-02-07 22:38:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:

If explicit mount options for the root (/) file systems are 
specified in /etc/fstab, rather than "defaults", then mounting
of / during boot fails resulting in a kernel panic.  All options
are valid mount options, and the same string of explicit parameters
work for filesystems other than /.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RedHat Linux with root filesystem formatted as ext3
2.edit /etc/fstab
3.for root filesystem, replace "defaults" in mount parameters with explicit
parameters, e.g., auto,nouser,suid
4) reboot
    

Actual Results:  Boot fails.  At pivotroot, mount of ext3 / filesystem fails
with error saying bad parameter.  Since root (/) filesystem
cannot mount, init cannot start.

Expected Results:  Machine completes boot into RH.

Additional info:

Mounting root filesystem
EXT3-fs: unrecognized mount option nouser
mount: error 22 mounting ext3
pivotroot: pivot_root(sysroot,sysroot/initrd) failed: 2
umount /initrd/proc failed: 2
Freeing unused kernel memory: 172k freed
Kernel panic: No init found. Try passing init= option to kernel

Comment 1 Bugzilla owner 2004-09-30 15:40:30 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.